const fs = require('fs')
const path = require('path')

const yaml = require('js-yaml')
const plist = require('plist')

const inPath = path.join(__dirname, 'sehn.tmLanguage.yaml')
const outPath = path.join(__dirname, 'package/syntaxes/sehn.tmLanguage')

fs.readFile(inPath, (err, str) => {
    if (err) throw err
    const data = yaml.load(str)
    fs.writeFile(outPath, plist.build(data), (err) => {
        if (err) throw err
    })
})